<template>
  <v-app class="medicalStaffList">
    <div class="medicalStaffList__title">
      <h1>Список медперсонала</h1>
    </div>

    <!--Список медперсонала-->
    <v-data-table
        :headers="headers"
        :items="medicalStaffList"
        class="medicalStaffList__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "MedicalStaffList",
  data() {
    return {
      medicalStaffList: [],
      headers: [
        {
          text: 'ФИО',
          value: 'fullName',
          sortable: false
        },
        {
          text: 'Должность',
          value: 'role',
          sortable: false
        }
      ]
    }
  },

  mounted() {
    this.fetchMedicalStaff()
  },

  methods: {
    async fetchMedicalStaff() {
      axios
          .get(this.$root.globalVar + '/medical_staff')
          .then(response => {
            this.medicalStaffList = response.data
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.medicalStaffList {
  &__title {
    text-align: center;
    margin: 60px 0 30px 0;
  }

  &__table {
    width: 70%;
    margin: 0 auto;
  }
}
</style>